Description

osmo-rfds currently keeps running, even when the runtime-configuration is only set on start.
it does not matter to have the binary running or not for the data path to work.

it would be easier to integrate with if we had the userspace-binary exit(0) after writing the config to the fpga.

i also wish for some ssh keyfile without password baked into a image.

History

#1 - 06/21/2019 05:52 PM - roh

bump

#2 - 06/26/2019 03:12 PM - roh
- File patch-buildroot-add-ssh-key-osmo.diff added
- File patch_exit_osmo-rfds.diff added

i tried building this myself but failed after gigabytes of downloads and a a nonfree toolchain, which needs making xilinx accounts, as well as crashing
binaries in /opt - what a waste of time. nothing changed with xilinx.

please add the attached patches (untested) and recompile the image.

#3 - 06/26/2019 06:54 PM - tnt
- File pluto.frm added

#4 - 06/27/2019 02:56 PM - roh
- File sshkey-osmo-adalm.id added

- File osmo-rfds-remote.sh added

i tested this image for a moment and it seems fine so far (need to do rf test yet)
ssh login works like expected and osmo-rfds terminates nicely. tnx

also added is a script to call it 'remotely’ (for /utils/) and the ssh key as attachment, so others can make use of the binary too.

#5 - 07/03/2019 03:11 PM - roh

tested and seems to work fine.

#6 - 07/03/2019 03:14 PM - tnt

- Status changed from New to Closed

Files
patch-buildroot-add-ssh-key-osmo.diff 915 Bytes 06/26/2019 roh
patch_exit_osmo-rfds.diff 596 Bytes 06/26/2019 roh
